;InnoSetupVersion=2.0.18

[Setup]
AppName=Cleaning Agent
AppVerName=Cleaning Agent 1.4
AppId=Cleaning Agent
AppVersion=1.4
AppPublisher=Lubos Tilka (Ancodia)
AppPublisherURL=http://ancodia.com
AppSupportURL=http://ancodia.com
AppUpdatesURL=http://ancodia.com/cleaning_agent/
DefaultDirName={pf}\Cleaning Agent
DefaultGroupName=Cleaning Agent
UninstallDisplayIcon={app}\Cleaning Agent.exe
UninstallDisplayName=Uninstall Cleaning Agent
OutputBaseFilename=cagent
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Cleaning Agent.exe"; DestDir: "{app}"; 
Source: "{app}\Distribution Permissions.txt"; DestDir: "{app}"; 
Source: "{app}\How to Register.txt"; DestDir: "{app}"; 
Source: "{app}\IMPORTANT - New File Format.txt"; DestDir: "{app}"; 
Source: "{app}\License Agreement.txt"; DestDir: "{app}"; 
Source: "{app}\Make Money - Affiliates.url"; DestDir: "{app}"; 
Source: "{app}\More Software.txt"; DestDir: "{app}"; 
Source: "{app}\Internet bookmarks\Ancodia downloads.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Ancodia web site.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Cleaning Agent FAQ.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Cleaning Agent homepage.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Cleaning Agent online help.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Cleaning Agent screenshots.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\info@ancodia.com.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Make Money - Affiliates.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Internet bookmarks\Tell a Friend and Win a CD.url"; DestDir: "{app}\Internet bookmarks"; 
Source: "{app}\Help\index.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\media\appl_icon.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\appl_logo.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\os_mac.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\os_osx.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\os_win.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\register.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\media\spacer.gif"; DestDir: "{app}\Help\media"; 
Source: "{app}\Help\pages\distribution.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\eula.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\header.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\installation.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\introduction.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\links.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\menu.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\menus.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\quickstart.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\registration.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\shareware.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\styles.css"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\thanks.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\tips.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\welcome.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\windows.html"; DestDir: "{app}\Help\pages"; 
Source: "{app}\Help\pages\windows\agent.html"; DestDir: "{app}\Help\pages\windows"; 
Source: "{app}\Help\pages\windows\jobfile.html"; DestDir: "{app}\Help\pages\windows"; 
Source: "{app}\Help\pages\windows\preferences.html"; DestDir: "{app}\Help\pages\windows"; 
Source: "{app}\Help\pages\windows\registration.html"; DestDir: "{app}\Help\pages\windows"; 
Source: "{app}\Help\pages\windows\splashscreen.html"; DestDir: "{app}\Help\pages\windows"; 
Source: "{app}\Help\pages\windows\versionchecker.html"; DestDir: "{app}\Help\pages\windows"; 

[INI]
FileName: "{app}\Cleaning Agent homepage.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://ancodia.com/cleaning_agent/"; 

[Run]
Filename: "{app}\Cleaning Agent.exe"; Description: "Launch Cleaning Agent"; Flags: skipifdoesntexist postinstall skipifsilent nowait

[Icons]
Name: "{group}\Cleaning Agent"; Filename: "{app}\Cleaning Agent.exe"; 
Name: "{group}\Cleaning Agent on the Web"; Filename: "{app}\Cleaning Agent homepage.url"; 
Name: "{userdesktop}\Cleaning Agent"; Filename: "{app}\Cleaning Agent.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Cleaning Agent"; Filename: "{app}\Cleaning Agent.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\Cleaning Agent homepage.url"; 
Type: files; Name: "{app}\Cleaning Agent eStamp"; 
Type: files; Name: "{app}\Cleaning Agent.set"; 
Type: files; Name: "{app}\Agent Job File.txt"; 
Type: files; Name: "{app}\Agent File.cag"; 
